Subject: Peer adjacenices over FA LSP

From: Mahesh S <[email-masked]>
Date: Fri, 5 Jan 2001 18:53:42 -0800 (PST)

The LSP Heiearcht with MPLS TE draft
(draft-kompella-lsp-heirarchy-00.txt)
 
says that the FA lsp can be represented as a
unnumbered or numbered point2point link

It also says in section 4.2 that "It is expected that
forwarding adjacencies will not be used for
establishing ISIS/OSPF peering relation between the
routers at the ends of the adjacency."

RFC2328 section 12.4.1.1 says
"If a point2point link is fully adjacent then
advertise it as a type 1 link.  in additon if the
state is point2point advertise a stub link (type 3) to
the neighboring router."

If we are advertise the FA LSP as a stub link then
this link will not be used to reach the routers
connected to the tail end of the Forwarding LSP.

But if we advertise it as a type 1 link,is it a
violation of OSPF protocol, because of section
12.4.1.1? 

__________________________________________________
Do You Yahoo!?
Yahoo! Photos - Share your holiday photos online!
http://photos.yahoo.com/

---

From: Kireeti Kompella <[email-masked]>
Date: Mon, 8 Jan 2001 11:43:37 -0800 (PST)

> violation of OSPF protocol, because of section

The draft says to advertise the FA as a *TE* link, not as
a regular link.  RFC2328 does not apply.

However, one could very well advertise an LSP as a regular
link, as a generalization of Henk's TE shortcuts (will be
mentioned in the next version of the draft).  In that case,
I would advertise it as a type 1 link.  I am not sure that
this is indeed a violation of the spec, but if it is, so be
it.

Kireeti.